MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025388Open CASCADE[OCCT] OCCT:Data Exchangepublic2014-10-16 16:202017-09-29 16:29
Reportermsv 
Assigned Tobugmaster 
PrioritynormalSeverityfeature 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.8.0 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0025388: Improve STL reader to generate one triangulation instead of compound of faces
DescriptionNow the class StlAPI_Reader reads triangles from a STL file and generates a separate full-weight face for each triangle. It can't be appropriate for meshes consisting of millions of triangles.

It is proposed to add another way of storing of the result. All triangles are to be put in one Poly_Triangulation structure that is put in a new face object containing no geometrical surface.

The old approach will remain as alternative. The type of result will be given by the caller.
Additional information
and documentation updates
For release notes:
The class StlAPI_Reader was modified so as to have two alternative ways to store the result of STL file reading: 1) as a compound of faces, 2) as one face containing triangulation only.
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
related to 0028125newmsv Modeling Algorithms - support of BRep shapes based on tessellated geometry 
related to 0028840closedbugmaster Data Exchange - rewrite the STL Reader/Writer 

-  Notes
(0033220)
git (administrator)
2014-10-16 16:27

Branch CR25388 has been created by msv.

SHA-1: cba71ac8cfb1a9ac5beb640789c792dc3c6fcabf


Detailed log of new commits:

Author: msv
Date: Thu Oct 16 16:25:58 2014 +0400

    0025388: Improve STL reader to generate one triangulation instead of compound of faces
    
    Attention! this patch is incomplete.
(0033221)
msv (developer)
2014-10-16 16:29

I have put the alternative version of reader in the branch CR25388.
Now it is needed to prepare the combine version.
(0044814)
git (administrator)
2015-08-28 15:31

Branch CR25388 has been updated forcibly by msv.

SHA-1: 0c704d797fdd065233d6c55dc6f534264601ad42
(0069436)
abv (manager)
2017-08-16 10:26

The possibility to read STL file to Poly_Triangulation has been added within fix for 0028840, see static methods of RWStl package. StlAPI package still provides possibility to read to shape as before (declared as deprecated). I propose that this issue should be considered as resolved, do you agree?
(0069697)
msv (developer)
2017-08-21 10:57

I agree.
(0069698)
msv (developer)
2017-08-21 10:58

Fixed by 0028840.
(0069890)
git (administrator)
2017-08-25 16:13

Branch CR25388 has been deleted by kgv.

SHA-1: 0c704d797fdd065233d6c55dc6f534264601ad42

- Issue History
Date Modified Username Field Change
2014-10-16 16:20 msv New Issue
2014-10-16 16:20 msv Assigned To => msv
2014-10-16 16:27 git Note Added: 0033220
2014-10-16 16:29 msv Note Added: 0033221
2014-10-16 16:29 msv Assigned To msv => abv
2015-04-17 00:21 abv Assigned To abv => dbv
2015-04-17 00:21 abv Product Version 6.8.0 => 7.1.0
2015-04-17 00:22 abv Product Version 7.1.0 => 6.8.0
2015-04-17 00:22 abv Target Version Unscheduled => 7.1.0
2015-04-17 11:03 user533 Project Internal => Open CASCADE
2015-08-28 15:31 git Note Added: 0044814
2016-10-26 20:00 gka Target Version 7.1.0 => 7.2.0
2017-04-26 11:55 abv Relationship added related to 0028125
2017-06-13 11:47 aml Relationship added related to 0028840
2017-08-16 10:26 abv Note Added: 0069436
2017-08-16 10:26 abv Assigned To dbv => msv
2017-08-16 10:26 abv Status new => feedback
2017-08-21 10:57 msv Note Added: 0069697
2017-08-21 10:58 msv Note Added: 0069698
2017-08-21 10:58 msv Assigned To msv => bugmaster
2017-08-21 10:58 msv Resolution open => fixed
2017-08-21 13:22 abv Status feedback => verified
2017-08-25 15:08 bugmaster Test case number => Not required
2017-08-25 16:13 git Note Added: 0069890
2017-09-29 16:17 user533 Fixed in Version => 7.2.0
2017-09-29 16:29 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker